export default [
  {
    path: '/user',
    layout: false,
    routes: [
      {
        path: '/user',
        routes: [
          {
            name: 'login',
            path: '/user/login',
            component: './user/Login',
          },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/welcome',
    name: '工作台',
    icon: 'smile',
    component: './Welcome',
  },
  {
    path: '/admin',
    name: 'admin',
    icon: 'crown',
    access: 'canAdmin',
    component: './Admin',
    routes: [
      {
        path: '/admin/sub-page',
        name: 'sub-page',
        icon: 'smile',
        component: './Welcome',
      },
      {
        component: './404',
      },
    ],
  },
  {
    path: '/MonitoringScreen',
    name: '数据大屏',
    icon: 'DesktopOutlined',
    component: './MonitoringScreen',
    routes: [
      {
        path: '/MonitoringScreen/detail.jsx',
        name: '农机轨迹',
        component: './MonitoringScreen/detail.jsx',
        hideInMenu: true,
      },
    ],
  },
  {
    path: '/ContentManagementSystem',
    name: 'CMS管理',
    icon: 'MediumOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/ContentManagementSystem/InformationClassification',
        name: '资讯分类',
        component: './ContentManagementSystem/InformationClassification',
      },
      {
        path: '/ContentManagementSystem/InformationClassification/InformationClassificationEdit',
        name: '资讯分类编辑',
        component:
          './ContentManagementSystem/InformationClassification/InformationClassificationEdit',
        hideInMenu: true,
      },
      {
        path: '/ContentManagementSystem/InformationList',
        name: '资讯列表',
        component: './ContentManagementSystem/InformationList',
      },
      {
        path: '/ContentManagementSystem/InformationList/InformationListEdit',
        name: '资讯列表编辑',
        component: './ContentManagementSystem/InformationList/InformationListEdit',
        hideInMenu: true,
      },
      {
        path: '/ContentManagementSystem/BannerClassification',
        name: 'Banner资讯',
        component: './ContentManagementSystem/BannerClassification',
      },
      {
        path: '/ContentManagementSystem/BannerClassification/BannerClassificationEdit',
        name: 'Banner资讯编辑',
        component: './ContentManagementSystem/BannerClassification/BannerClassificationEdit',
        hideInMenu: true,
      },
    ],
  },
  {
    path: '/Machinery',
    name: '农机管理',
    icon: 'CarOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/Machinery/GPS',
        name: '设备管理',
        component: './Machinery/GPS',
      },
      {
        path: '/Machinery/GPS/edit.jsx',
        name: '设备编辑',
        component: './Machinery/GPS/edit.jsx',
        hideInMenu: true,
      },
      {
        path: '/Machinery/MachineryType',
        name: '农机分类列表',
        component: './Machinery/MachineryType',
      },
      {
        path: '/Machinery/Machinery',
        name: '农机列表',
        component: './Machinery/Machinery',
      },
      {
        path: '/Machinery/Machinery/edit.jsx',
        name: '农机编辑',
        component: './Machinery/Machinery/edit.jsx',
        hideInMenu: true,
      },
    ],
  },
  {
    path: '/MachineryStatistics',
    name: '农机统计',
    icon: 'CompassOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/MachineryStatistics',
        name: '农机统计',
        component: './MachineryStatistics',
      },
    ],
  },
  {
    path: '/MachineryGIS',
    name: '农机GIS',
    icon: 'InsertRowLeftOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/MachineryGIS/index.jsx',
        name: '农机GIS',
        component: './MachineryGIS',
      },
    ],
  },
  {
    path: '/OrderManage',
    name: '订单调度',
    icon: 'PhoneOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/OrderManage/index.jsx',
        name: '订单调度',
        component: './OrderManage',
      },
    ],
  },
  {
    path: '/JobWarning',
    name: '作业监管',
    icon: 'AlertOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/JobWarning/index.jsx',
        name: '预警监管',
        component: './JobWarning',
      },
    ],
  },
  {
    path: '/JobStatistics',
    name: '作业统计',
    icon: 'ScheduleOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/JobStatistics/Machinery',
        name: '农机统计',
        component: './JobStatistics/Machinery',
      },
      {
        path: '/JobStatistics/Order',
        name: '订单统计',
        component: './JobStatistics/Order',
      },
      {
        path: '/JobStatistics/RevenueExpenditure',
        name: '收支统计',
        component: './JobStatistics/RevenueExpenditure',
      },
    ],
  },
  {
    path: '/PlatformMessageManagement',
    name: '消息管理',
    icon: 'MailOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/PlatformMessageManagement/MessageManageList',
        name: '平台消息管理',
        icon: 'smile',
        component: './PlatformMessageManagement/MessageManageList',
      },
      {
        path: '/PlatformMessageManagement/MessageEdit',
        name: '消息查看',
        component: './PlatformMessageManagement/MessageEdit',
        hideInMenu: true,
      },
    ],
  },
  {
    path: '/Finance',
    name: '财务管理',
    icon: 'DollarOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/Finance/AccountLog',
        name: '平台流水',
        component: './Finance/AccountLog',
      },
      {
        path: '/Finance/Withdrawal',
        name: '提现管理',
        component: './Finance/Withdrawal',
      },
    ],
  },

  {
    path: '/SystemManagement',
    name: '系统管理',
    icon: 'SettingOutlined',
    component: '../layouts/BasicLayout',
    routes: [
      {
        path: '/SystemManagement/Cooperative',
        name: '机构列表',
        component: './SystemManagement/Cooperative',
      },
      {
        path: '/SystemManagement/Cooperative/edit.jsx',
        name: '机构编辑',
        component: './SystemManagement/Cooperative/edit.jsx',
        hideInMenu: true,
      },
      {
        path: '/SystemManagement/Administrator',
        name: '人员管理',
        icon: 'smile',
        component: './SystemManagement/Administrator',
      },
      {
        path: '/SystemManagement/Administrator/AdminEdit',
        name: '人员编辑',
        icon: 'smile',
        component: './SystemManagement/Administrator/AdminEdit',
        hideInMenu: true,
      },
      {
        path: '/SystemManagement/UserRights',
        name: '角色权限',
        component: './SystemManagement/UserRights',
      },
      {
        path: '/SystemManagement/BasicParameters',
        name: '基本参数',
        component: './SystemManagement/BasicParameters',
      },
      {
        path: '/SystemManagement/MapExtent',
        name: '区域设置',
        component: './SystemManagement/MapExtent',
        // hideInMenu: true
      },
      {
        path: '/SystemManagement/Agreement',
        name: '协议对接',
        component: './SystemManagement/Agreement',
        // hideInMenu: true
      },
    ],
  },

  {
    path: '/',
    redirect: '/welcome',
  },
  {
    component: './404',
  },
];
