import React, { useState } from 'react';
import { Tag, Space, Button, Popconfirm, Form, Modal, Input, message } from 'antd';
import { PageHeaderWrapper } from '@ant-design/pro-layout';
import { PlusOutlined, QuestionCircleOutlined } from '@ant-design/icons';

import ProList from '@ant-design/pro-list';
import './index.less'
const FormItem = Form.Item
const defaultData = [
  {
    id: '1',
    name: '赵村',
    desc: '赵村较大，多人协作',
  },

];
export default () => {
  const [form2] = Form.useForm()
  const formItemLayout = { labelCol: { span: 6 }, wrapperCol: { span: 14 }, };
  const [dataSource, setDataSource] = useState(defaultData);
  const [editModal, setEditModal] = useState(false)
  const [editdetail, setEditDetail] = useState()

  const changeWeight = (record) => {
    setEditDetail(record)
    setEditModal(true)
  }
  const Submit = (values) => {
    console.log('editdetail', editdetail, values);
    message.success(`修改成功`);
    setDataSource([...dataSource, values])
    // setLoading2(false)
    onCancel()

  }

  const onCancel = () => {
    form2.resetFields()
    setEditModal(false)
  }
  const actions = () => [
    <Button key='add' type="primary" icon={<PlusOutlined />} onClick={() => setEditModal(true)}>新增</Button>,
  ]
  return (
    <PageHeaderWrapper>
      <ProList

        toolBarRender={actions}
        rowKey="id"
        headerTitle="区域范围"
        dataSource={dataSource}
        showActions="hover"
        editable={{
          onSave: async (key, record, originRow) => {
            console.log('修改后的', key, record, originRow);
            return true;
          },
        }}
        onDataSourceChange={setDataSource}
        metas={{
          title: {//标题
            dataIndex: 'name',
          },

          description: {//简介
            dataIndex: 'desc',
          },
          subTitle: {
            editable: false,
            render: () => {
              return (<Space size={0}>
                {/* <Tag color="blue"></Tag> */}
                <Tag color="#5BD8A6">区域名称</Tag>
              </Space>);
            },
          },
          actions: {
            render: (text, row, index, action) => [
              <a onClick={() => {
                action === null || action === void 0 ? void 0 : action.startEditable(row.id);
              }} key="link">
                编辑
              </a>,
              <Popconfirm
                key={3}
                title="您是否确认删除 ?"
                onConfirm={() => handleDelete(record)}
                okText="确定"
                cancelText="取消"
              >
                <a href="#"  >删除</a>
              </Popconfirm>,
            ],
          },
        }} />
      <Modal title="套餐权重修改" visible={editModal} onCancel={onCancel} keyboard={false} maskClosable={false} destroyOnClose={true} footer={null}>
        < Form {...formItemLayout} onFinish={Submit} form={form2} >
          <FormItem label="范围名称" name="name" rules={[{ required: true, message: '请输入' }]}>
            <Input placeholder="请输入" style={{ width: '350px' }} />
          </FormItem>
          <FormItem label="备注" name="desc" >
            <Input placeholder="请输入" style={{ width: '350px' }} />
          </FormItem>
          <FormItem label=" " colon={false} >
            <Button type='default' onClick={onCancel} >取消</Button>
            <Button type='primary' htmlType="Submit" style={{ marginLeft: '4em' }}>修改</Button>
          </FormItem>
        </Form>
      </Modal>
    </PageHeaderWrapper>);
};